<!DOCTYPE html>
<html>
  <head>
    <%- include('./part/head'); -%>
    <title>Hypertube - Settings</title>
    <link rel="stylesheet" type="text/css" href="/style/login.css" />
    <link rel="stylesheet" type="text/css" href="/style/settings.css" />
    <link rel="stylesheet" type="text/css" href="/style/profile.css" />
    <script>

      $(document).ready(function() {
        $('input[type="file"]').change(function(e) {
            var reader = new FileReader();

            if (e.target.files[0]) {

              reader.readAsDataURL(e.target.files[0]);
              reader.onload = function () {

                if (e.target.files[0].size > 0 && e.target.files[0].size <= 2000000) {

                  img = reader.result;
                  $('#base64').attr('value', img)
                  $('#picture').attr('value', img)
                  $(".text-file-select").html("Image selected: <span class='file-name'>" + e.target.files[0].name + "</span>");

                }

              };
              reader.onerror = function (error) {};

            } else {
              $('#base64').attr('value', '')
              $('#picture').attr('value', '')
              $(".text-file-select").html("<i class='fas fa-upload'></i> Select a picture...");
            }

        });
      });

    </script>
  </head>
  <body>
    <%- include('./part/header'); -%>
    <div class="settings-global">
      <div class="settings-background">
        <div class="settings-content">
          <h2 class="settings-title">Settings</h2>

          <div class="settings-infos">
            <h3 class="title-form">Change infos</h3>
            <% if (user) { %>
              <% if (user.twitterId || user.googleId || user.fortyTwoId || user.githubId) { %>
                <form class="settings-form" method="post" action="/settings/oauth">
                  <div class="settings-input-div">
                    <span class="settings-input-span">Favorite language for movies</span>
                    <i class="fas fa-sort-down"></i>
                    <select class="input-login settings-input" name="lang">
                      <option value=""> - Select a language - </option>
                      <option <% if (user.lang === 'en') { %><%= "selected" %><% } %> value="en">English</option>
                      <option <% if (user.lang === 'fr') { %><%= "selected" %><% } %> value="fr">French</option>
                      <option <% if (user.lang === 'de') { %><%= "selected" %><% } %> value="de">Deutsh</option>
                      <option <% if (user.lang === 'es') { %><%= "selected" %><% } %> value="es">Spanish</option>
                    </select>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">Username</span>
                    <input class="input-login settings-input" required type="text" value="<% if (user.username) { %><%= user.username %><% } %>" name="username" placeholder="Username"/>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">First name</span>
                    <input class="input-login settings-input" required type="text" value="<% if (user.username) { %><%= user.firstname %><% } %>" name="firstname" placeholder="Firstname"/>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">Last name</span>
                    <input class="input-login settings-input" required type="text" value="<% if (user.username) { %><%= user.lastname %><% } %>" name="lastname" placeholder="Lastname"/>
                  </div>
                  <div class="settings-btn-input login-btn-signin">
                    <input class="input-login" type="submit" value="Save"/>
                  </div>
                  <% if (error) { %>
                    <p class="error"><%= error %></p>
                  <% } %>
                  <% if (confirm) { %>
                    <p class="confirm"><%= confirm %></p>
                  <% } %>
                </form>
              <% } else { %>
                <form class="settings-form" method="post" action="/settings">
                  <div class="settings-input-div">
                    <span class="settings-input-span">Favorite language for movies</span>
                    <i class="fas fa-sort-down"></i>
                    <select class="input-login settings-input" name="lang">
                      <option value=""> - Select a language - </option>
                      <option <% if (user.lang === 'en') { %><%= "selected" %><% } %> value="en">English</option>
                      <option <% if (user.lang === 'fr') { %><%= "selected" %><% } %> value="fr">French</option>
                      <option <% if (user.lang === 'de') { %><%= "selected" %><% } %> value="de">Deutsh</option>
                      <option <% if (user.lang === 'es') { %><%= "selected" %><% } %> value="es">Spanish</option>
                    </select>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">Email</span>
                    <input class="input-login settings-input" required type="email" value="<% if (user.mail) { %><%= user.mail %><% } %>" name="email" placeholder="Email"/>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">Username</span>
                    <input class="input-login settings-input" required type="text" value="<% if (user.username) { %><%= user.username %><% } %>" name="username" placeholder="Username"/>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">First name</span>
                    <input class="input-login settings-input" required type="text" value="<% if (user.username) { %><%= user.firstname %><% } %>" name="firstname" placeholder="Firstname"/>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">Last name</span>
                    <input class="input-login settings-input" required type="text" value="<% if (user.username) { %><%= user.lastname %><% } %>" name="lastname" placeholder="Lastname"/>
                  </div>
                  <div class="settings-btn-input login-btn-signin">
                    <input class="input-login" type="submit" value="Save"/>
                  </div>
                  <% if (error) { %>
                    <p class="error"><%= error %></p>
                  <% } %>
                  <% if (confirm) { %>
                    <p class="confirm"><%= confirm %></p>
                  <% } %>
                </form>
              <% } %>
            <% } %>
          </div>
          <div class="settings-password">

            <% if (user) { %>
              <% if (user.twitterId || user.googleId || user.fortyTwoId || user.githubId) { %>
              <% } else { %>
                <h3 class="title-form">Change password</h3>
                <form class="settings-form" method="post" action="/settings/password">
                  <div class="settings-input-div">
                    <span class="settings-input-span">Password</span>
                    <input class="input-login settings-input" required type="password" value="" name="pass" placeholder="Password"/>
                  </div>
                  <div class="settings-input-div">
                    <span class="settings-input-span">Confirm password</span>
                    <input class="input-login settings-input" required type="password" value="" name="cpass" placeholder="Confirm password"/>
                  </div>
                  <div class="settings-btn-input login-btn-signin">
                    <input class="input-login" type="submit" value="Save"/>
                  </div>
                </form>
                <% if (errorPass) { %>
                  <p class="error"><%= errorPass %></p>
                <% } %>
                <% if (confirmPass) { %>
                  <p class="confirm"><%= confirmPass %></p>
                <% } %>
              <% } %>
            <% } %>
          </div>
          <div class="settings-global-picture">
            <div class="settings-picture">
              <h3 class="title-form">Change profile picture</h3>
              <form class="settings-form" method="post" action="/settings/picture">
                <div class="settings-input-div">
                  <span class="settings-input-span">Select picture - Formats png/jpeg, max size 2mo</span>
                  <input id="base64" required type="hidden" value="" name="base64"/>
                  <input id="picture" class="input-file" required accept="image/png, image/jpeg" type="file" value="" name="picture"/>
                  <div class="fake-input-file">
                    <p class="text-file-select"><i class="fas fa-upload"></i> Select a picture...</p>
                  </div>
                </div>
                <div class="settings-btn-input login-btn-signin">
                  <input class="input-login" type="submit" value="Save"/>
                </div>
                <% if (errorPic) { %>
                  <p class="error"><%= errorPic %></p>
                <% } %>
                <% if (confirmPic) { %>
                  <p class="confirm"><%= confirmPic %></p>
                <% } %>
              </form>
            </div>
            <div class="settings-actual-picture">
              <h3 class="title-form">Actual picture</h3>
              <div class="div-picture-profile">
                <% if (user) { %>
                  <% if (user.picture) { %>
                    <img class="picture-profile" src="<%= user.picture %>" />
                  <% } else { %>
                    <i class="no-picture-profile far fa-user-circle"></i>
                  <% } %>
                <% } %>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <%- include('./part/footer'); -%>
  </body>
</html>
